<?php

namespace App\Filament\Resources\PhoneVerifications\Schemas;

use Filament\Infolists\Components\IconEntry;
use Filament\Infolists\Components\TextEntry;
use Filament\Schemas\Schema;

class PhoneVerificationInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextEntry::make('phone')
                    ->formatStateUsing(fn (string $state): string => format_phone($state))
                    ->copyable(),
                TextEntry::make('expires_at')
                    ->dateTime(),
                IconEntry::make('verified')
                    ->boolean(),
                TextEntry::make('created_at')
                    ->dateTime(),
                TextEntry::make('updated_at')
                    ->dateTime(),
            ]);
    }
}
